#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long int N=3,K=2;
     //cin >> N;
     //cin >> K;
    long long int niz[(2*N+1)];
    int i;
    int j = -N ;

    for(i=0; i<(2*N+1); i++)
    {
        niz[i]=0;


    }

    for(i=0; i< N; i++)
    {
        niz[i]=j;
        j=j+1;

    }


    j=0;
    for(i=N; i<(2*N+1); i++)
    {
        niz[i]=j;
        j++;

    }
    j=N;
    long long int a;
    long long int nizz[(2*N+1)];
    for(i=0; i<(2*N+1); i++)
    {
        nizz[i]=0;
    }
    while(j!=0){
        cin >> a;
        for (i=0;i<(2*N+1);i++){
            if(a==niz[i]){
                nizz[i]++;
            }
            if(nizz[i]==K){
                cout << niz[i];
                nizz[i]=0;
            }
        }
        j--;
    }
    return 0;
}